RunTargetTask (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.logic

## Class RunTargetTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - net.sf.antcontrib.logic.RunTargetTask

- All Implemented Interfaces:
    java.lang.Cloneable

      public class RunTargetTask
      extends org.apache.tools.ant.Task

  Ant task that runs a target without creating a new project.
  Author:
    Nicola Ken Barozzi nicolaken@apache.org

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RunTargetTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` execute the target
    `void` | `setTarget(java.lang.String target)` The target attribute

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RunTargetTask

          public RunTargetTask()

  - ### Method Detail

    - #### setTarget

          public void setTarget(java.lang.String target)

      The target attribute
      Parameters:
        `target` - the name of a target to execute

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      execute the target
      Overrides:
        `execute` in class `org.apache.tools.ant.Task`
      Throws:
        `org.apache.tools.ant.BuildException` - if a target is not specified